<h1 align="center">WorkAdventure - IFrame API typings for Typescript</h1>

<p align="center">This package contains Typescript typings for <a href="https://workadventu.re/map-building/scripting">WorkAdventure's map scripting API</a></p>

<hr/>

[WorkAdventure](https://workadventu.re) comes with a scripting API. Using this API, you can add some intelligence to your map.
You use this API by loading an external script directly from WorkAdventure (at https://play.workadventu.re/iframe_api.js), or this script is loaded
for you if you are using the "script" property of a map.

This project contains Typescript typings for the `WA` object provided by this script.

## Usage

This package is only useful if you are using Typescript to script your WorkAdventure maps.

## Download & Installation

```shell
$ npm install @workadventure/iframe-api-typings
```

or

```shell
$ yarn add @workadventure/iframe-api-typings
```
